<?php

class formWidgetLteStatisticOptions extends cmsForm {

    public function init($options=false) {
		
		$items = array();
		$cats_list = array();
		$datasets_list = array('0'=>'');
		$types = array(
			0 => 'Выберите объект',
			'content_types' => 'Тип контента',
			'users' => 'Пользователи',
			'comments' => 'Комментарий',
			'groups' => 'Группы',
			'photos' => 'Фотографии',
		);
		
		$smartwall = cmsCore::isControllerExists('smartwall') ? cmsCore::getController('smartwall') : false;
		$questions = cmsCore::isControllerExists('questions') ? cmsCore::getController('questions') : false;
		$skills = cmsCore::isControllerExists('skills') ? cmsCore::getController('skills') : false;
		$gifts = cmsCore::isControllerExists('gifts') ? cmsCore::getController('gifts') : false;
		$recommends = cmsCore::isControllerExists('recommends') ? cmsCore::getController('recommends') : false;
		$opinions = cmsCore::isControllerExists('opinions') ? cmsCore::getController('opinions') : false;
		$forum = cmsCore::isControllerExists('forum') ? cmsCore::getController('forum') : false;
		
		if ($smartwall){
			$types['smartwall'] = 'Записи стен';
		}

		if ($questions){
			$types['questions'] = 'Вопросы';
			$types['questions_answers'] = 'Ответы';
		}

		if ($skills){
			$types['skills'] = 'Награды';
		}

		if ($gifts){
			$types['gifts'] = 'Подарки';
		}

		if ($recommends){
			$types['recommends'] = 'Отзывы';
		}

		if ($opinions){
			$types['opinions'] = 'Мнения';
		}

		if ($forum){
			$types['forum_threads'] = 'Темы в форуме';
			$types['forum_posts'] = 'Ответы в форуме';
		}
		
		if (!empty($options['obj_type']) && $options['obj_type'] == 'content_types'){
			$content_model = cmsCore::getModel('content');
			$ctypes = $content_model->getContentTypes();			
			if($ctypes){foreach ($ctypes as $item) {$items['con_'.$item['name']] = $item['title'];}}
			if(!empty($options['ctype_name'])){
				$name = substr_replace($options['ctype_name'],'', 0, 4);
				$ctype = $content_model->getContentType($name, 'name');
				$cats = $content_model->getCategoriesTree($ctype['name']);		
				if ($cats){
					foreach($cats as $cat){
						if ($cat['ns_level'] > 1){
							$cat['title'] = str_repeat('-', $cat['ns_level']) . ' ' . $cat['title'];
						}
						$cats_list[$cat['id']] = $cat['title'];
					}
				}			

				$datasets = $content_model->getContentDatasets($ctype['id']);
				if ($datasets){ $datasets_list = array('0'=>'') + array_collection_to_list($datasets, 'id', 'title'); }
			}

		}

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS, 
                'childs' => array(
				
					new fieldList('options:obj_type', array(
						'title' => 'Объект',
						'default' => 0,
						'disable_array_key_rules' => 1,
						'items' => $types,
						'rules' => array(
                            array('required')
                        )
					)),

                    new fieldList('options:ctype_name', array(
                        'title' => 'Контент',
						'disable_array_key_rules' => 1,
						'parent' => array(
							'list' => 'options:obj_type',
							'url' => href_to('lte', 'widget_ctype_ajax')
						),
                        'items' => $items,
						'visible_depend' => array('options:obj_type' => array('show' => array('content_types')))
                    )),
					
					new fieldList('options:category_id', array(
						'title' => LANG_CATEGORY,
						'disable_array_key_rules' => 1,
						'parent' => array(
							'list' => 'options:ctype_name',
							'url' => href_to('lte', 'widget_cats_ajax')
						),
						'items' => $cats_list,
						'visible_depend' => array('options:obj_type' => array('show' => array('content_types')))
					)),
					
					new fieldList('options:dataset', array(
                        'title' => 'Наборы',
						'disable_array_key_rules' => 1,
						'parent' => array(
							'list' => 'options:ctype_name',
							'url' => href_to('lte', 'widget_datasets_ajax')
						),
						'items' => $datasets_list,
						'visible_depend' => array('options:obj_type' => array('show' => array('content_types')))
                    )),
					
					new fieldList('options:color', array(
						'title' => LANG_PARSER_COLOR,
						'items' => array(
							'bg-info' => 'bg-info',
							'bg-success' => 'bg-success',
							'bg-warning' => 'bg-warning',
							'bg-danger' => 'bg-danger'
						)
					)),
					
					new fieldLTEicon('options:icon', array(
                        'title' => LANG_CP_MENU_ITEM_ICON,
                        'suffix' => '<a href="#" class="lte-icon-select" data-href="'.href_to('admin', 'settings', ['theme', 'modern', 'icon_list']).'"><span>'.LANG_CP_ICON_SELECT.'</span></a>',
                    )),
					
					new fieldString('options:link', array('title' => 'Ссылка (если есть ссылка, вид блока меняется)')),
					
					new fieldString('options:link_title', array(
                        'title' => 'Заголовок ссылки (если есть заголовок, вид блока меняется)',
                        'rules' => array(array('max_length', 20))
                    )),
                            
                )
            ),

        );

    }

}

class fieldLTEicon extends cmsFormField {
	
	public function getInput($value){
		
		$tpl = cmsTemplate::getInstance();
		
		$tpl->setInheritNames(['lte']);

		$tpl_file = $tpl->getTemplateFileName('controllers/lte/icon');

        ob_start();

        extract(array('field' => $this, 'value' => $value));
		include($tpl_file);

        return ob_get_clean();

    }

}