<?php
class widgetLteStatistic extends cmsWidget {
	
	public $is_cacheable = false;

    public function run(){
		
		$this->disableCache();

        $object        	= $this->getOption('obj_type');
        $url           	= $this->getOption('link');
        $title         	= $this->getOption('link_title');
        $color         	= $this->getOption('color', 'bg-info');
        $icon         	= $this->getOption('icon');
		$cat_id			= false;
		$dataset_id		= false;

		if ($object == 'content_types'){
			$object			= $this->getOption('ctype_name');
			$cat_id   		= $this->getOption('category_id');
			$dataset_id		= $this->getOption('dataset');			
		}
		
		$model = new cmsModel();		
		if ($dataset_id){
            $dataset = $model->getItemById('content_datasets', $dataset_id, function($item, $model){
				$item['groups_view'] = cmsModel::yamlToArray($item['groups_view']);
				$item['groups_hide'] = cmsModel::yamlToArray($item['groups_hide']);
				$item['filters'] = cmsModel::yamlToArray($item['filters']);
				$item['sorting'] = cmsModel::yamlToArray($item['sorting']);
				return $item;
			});
            if ($dataset){$model->applyDatasetFilters($dataset);}
        }

		if($cat_id && $cat_id != 1){
			$model->table_prefix = '';
			$cat = $model->getItemById($object . '_cats', $cat_id);
			$model->filterCategory($object, $cat, true);
		}
		
		if ($object == 'users' || $object == 'comments' || $object == 'forum_threads' || $object == 'forum_posts'){
			$items = $model->filterIsNull('i.is_deleted')->getCount($object);
		} else {
			$items = $model->getCount($object);
		}
		
		$this->setWrapper('wrapper_plain');

		return array(
			'items' => $items,
			'url' => $url,
			'color' => $color,
			'icon' => $icon,
			'title' => $title,
			'widget' => $this
		);

    }

}
