<?php 
	$nav_classes = [];
	$sidebar_flat = $this->getOption('sidebar_flat', 0);
	$sidebar_legacy = $this->getOption('sidebar_legacy', 0);
	$sidebar_compact = $this->getOption('sidebar_compact', 0);
	$sidebar_child = $this->getOption('sidebar_child', 0);
	$sidebar_child_hide = $this->getOption('sidebar_child_hide', 0);
	$sidebar_auto_expand = $this->getOption('sidebar_auto_expand', 0);
	if ($sidebar_flat){ $nav_classes[] = ' nav-flat'; }
	if ($sidebar_legacy){ $nav_classes[] = ' nav-legacy'; }
	if ($sidebar_compact){ $nav_classes[] = ' nav-compact'; }
	if ($sidebar_child){ $nav_classes[] = ' nav-child-indent'; }
	if ($sidebar_child_hide){ $nav_classes[] = ' nav-collapse-hide-child'; }
?>
<nav class="mt-2">
	<ul class="<?php echo $css_class ? $css_class : 'nav'; echo implode(' ', $nav_classes); ?> nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
	
		<?php $last_level = 0; ?>

		<?php foreach ($menu as $id => $item) { ?>

			<?php for ($i=0; $i<($last_level - $item['level']); $i++) { ?>
				</li></ul>
			<?php } ?>

			<?php if ($item['level'] <= $last_level) { ?>
				</li>
			<?php } ?>
			
			<?php

				$is_active = in_array($id, $active_ids);

				$css_classes = ['nav-item'];
				$css_aclasses = ['nav-link text-nowrap'];
				if ($is_active) {
					$css_classes[] = 'menu-open';
					$css_aclasses[] = 'active';
				}
				if (!empty($item['options']['class'])) {
					$css_classes[] = $item['options']['class'];
				}

			?>
			
			<li <?php if ($css_classes) { ?>class="<?php echo implode(' ', $css_classes); ?>"<?php } ?>>
			<?php if ($item['disabled']) { ?>
				<span class="nav-link disabled"><?php html($item['title']); ?></span>
			<?php } else { ?>
				<a <?php if (!empty($item['title'])) {?>title="<?php echo html($item['title']); ?>"<?php } ?> class="<?php echo implode(' ', $css_aclasses); ?>" href="<?php echo !empty($item['url']) ? html($item['url'], false) : 'javascript:void(0)'; ?>" <?php echo html_attr_str($item['attributes']); ?>>
					<?php if (!empty($item['options']['icon'])) {
						echo '<i class="nav-icon">';
						$icon_params = explode(':', $item['options']['icon']);
						if(!isset($icon_params[1])){ array_unshift($icon_params, 'solid'); }
						html_svg_icon($icon_params[0], $icon_params[1]);
						echo '</i>';
					} ?>
					<p>
						<?php if (!empty($item['title']) && empty($item['options']['hide_title'])) { ?>
							<?php echo $item['title']; ?>
							<?php if ($item['childs_count'] > 0) { ?>
								<i class="right">
									<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-caret-left-fill" viewBox="0 0 16 16"><path d="m3.86 8.753 5.482 4.796c.646.566 1.658.106 1.658-.753V3.204a1 1 0 0 0-1.659-.753l-5.48 4.796a1 1 0 0 0 0 1.506z"/></svg>
								</i>
							<?php } ?>
						<?php } ?>
						<?php if (!empty($item['counter'])){ ?>
							<span class="right counter badge badge-info"><?php html($item['counter']); ?></span>
						<?php } ?>
					</p>
				</a>
			<?php } ?>

			<?php if ($item['childs_count'] > 0) { ?><ul class="nav nav-treeview"><?php } ?>

		<?php $last_level = $item['level']; ?>

	<?php } ?>

	<?php for ($i=0; $i<$last_level; $i++) { ?>
		</li></ul>
	<?php } ?>

</nav>



    

    