<?php
/**
 * Основной макет шаблона
 * https://docs.instantcms.ru/dev/templates/layouts
 */
 
	$dark_mode = $this->getOption('dark_mode', 0);

	$header_fix = $this->getOption('header_fix', 0);
	$header_legacy = $this->getOption('header_legacy', 0);
	$header_border = $this->getOption('header_border', 0);

	$sidebar_collapsed = $this->getOption('sidebar_collapsed', 0);
	$sidebar_fix = $this->getOption('sidebar_fix', 0);
	$sidebar_mini = $this->getOption('sidebar_mini', 1);
	$sidebar_mini_md = $this->getOption('sidebar_mini_md', 0);
	$sidebar_mini_xs = $this->getOption('sidebar_mini_xs', 0);
	$sidebar_auto_expand = $this->getOption('sidebar_auto_expand', 0);

	$footer_fix = $this->getOption('footer_fix', 0);

	$navbar_skin = $this->getOption('navbar_skin', 'navbar-light');
	$sidebar_skin = $this->getOption('sidebar_skin', 'sidebar-dark-primary');

	if ($dark_mode){ $body_classes[] = 'dark-mode'; }

	if ($header_fix){ $body_classes[] = 'layout-navbar-fixed'; }

	if ($sidebar_collapsed){ $body_classes[] = 'sidebar-collapse'; }
	if ($sidebar_fix){ $body_classes[] = 'layout-fixed'; }
	if ($sidebar_mini){ $body_classes[] = 'sidebar-mini'; }
	if ($sidebar_mini_md){ $body_classes[] = 'sidebar-mini-md'; }
	if ($sidebar_mini_xs){ $body_classes[] = 'sidebar-mini-xs'; }
	
	if ($rows){
		foreach ($rows as $row_id => $row) {
			if ($row['title'] == 'Header'){
				if ($header_legacy){ $rows[$row_id]['options']['parrent_tag_class'] .= ' dropdown-legacy'; }
				if ($header_border){ $rows[$row_id]['options']['parrent_tag_class'] .= ' border-bottom-0'; }
				
				$navbar_light_skins = [
					'navbar-light' 		=> 'navbar-light',
					'navbar-warning' 	=> 'navbar-warning',
					'navbar-white' 		=> 'navbar-white',
					'navbar-orange' 	=> 'navbar-orange'
				];
				$navbar_dark_skins = [
					'navbar-primary' 	=> 'navbar-primary',
					'navbar-secondary' 	=> 'navbar-secondary',
					'navbar-info' 		=> 'navbar-info',
					'navbar-success' 	=> 'navbar-success',
					'navbar-danger' 	=> 'navbar-danger',
					'navbar-indigo' 	=> 'navbar-indigo',
					'navbar-purple' 	=> 'navbar-purple',
					'navbar-pink' 		=> 'navbar-pink',
					'navbar-navy' 		=> 'navbar-navy',
					'navbar-lightblue' 	=> 'navbar-lightblue',
					'navbar-teal' 		=> 'navbar-teal',
					'navbar-cyan' 		=> 'navbar-cyan',
					'navbar-dark' 		=> 'navbar-dark',
					'navbar-gray-dark' 	=> 'navbar-gray-dark',
					'navbar-gray' 		=> 'navbar-gray'
				];
				
				if (in_array($navbar_skin, $navbar_light_skins)){
					if ($navbar_skin != 'navbar-light'){
						$navbar_skin = 'navbar-light ' . str_replace("navbar-", "bg-", $navbar_skin);
					}
					$rows[$row_id]['options']['parrent_tag_class'] .= ' ' . $navbar_skin;
				} else if (in_array($navbar_skin, $navbar_dark_skins)){
					$rows[$row_id]['options']['parrent_tag_class'] .= ' navbar-dark ' . $navbar_skin;
				}
			}
			if ($row['title'] == 'Sidebar'){
				if ($sidebar_auto_expand){ $rows[$row_id]['options']['parrent_tag_class'] .= ' sidebar-no-expand'; }
				$rows[$row_id]['options']['parrent_tag_class'] .= ' ' . $sidebar_skin;
			}
			if ($row['title'] == 'Основной блок'){
				foreach ($row['cols'] as $col_id => $col) {
					foreach ($col['rows']['before'] as $before_id => $before) {
						if ($before['title'] == 'Контент'){
							$main_last_id = array_key_last($before['cols']);
							if ($before['cols'][$main_last_id]['title'] == 'Боковая колонка'){
								$is_sidebar = $this->hasWidgetsOn($before['cols'][$main_last_id]['name']);
								if (!$is_sidebar){
									$main_first_id = array_key_first($before['cols']);
									$rows[$row_id]['cols'][$col_id]['rows']['before'][$before_id]['cols'][$main_first_id]['options']['default_col_class'] = 'col-sm-12';
								}
							}
						}
					}
				}
			}
		}
		if (!function_exists('array_key_first')) {
			function array_key_first(array $arr) {
				foreach($arr as $key => $unused) {
					return $key;
				}
				return NULL;
			}
		}
		if (! function_exists("array_key_last")) {
			function array_key_last($array) {
				if (!is_array($array) || empty($array)) {
					return NULL;
				}
			   
				return array_keys($array)[count($array)-1];
			}
		}
	}
	
	if ($footer_fix){ $body_classes[] = 'layout-footer-fixed'; }
 
?>
<!DOCTYPE html>
<html lang="<?php echo cmsCore::getLanguageName(); ?>" class="min-vh-100">
    <head>
        <title><?php $this->title(); ?></title>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="csrf-token" content="<?php echo cmsForm::getCSRFToken(); ?>" />
        <meta name="generator" content="InstantCMS" />
<?php
        $this->addMainTplCSSName(['adminlte.min', /*** add css **/ 'theme']);
        if(!empty($this->options['font_type']) && $this->options['font_type'] == 'gfont') {
            $this->addHead('<link rel="preconnect" href="https://fonts.gstatic.com" />');
            $this->addHead('<link rel="dns-prefetch" href="https://fonts.gstatic.com" />');
            $this->addCSS('https://fonts.googleapis.com/css?family='.$this->options['gfont'].':400,400i,700,700i&display=swap&subset=cyrillic-ext', false);
        }
        $this->addMainTplJSName('jquery', true);
        $this->addMainTplJSName(['vendors/popper.js/js/popper.min', 'vendors/bootstrap/bootstrap.min']);
        $this->onDemandTplJSName(['vendors/photoswipe/photoswipe.min']);
        $this->onDemandTplCSSName(['photoswipe']);
        $this->addMainTplJSName(['core', 'modal']);
		$this->addMainTplCSSName(['styles', 'my']); /*** add css **/
		$this->addMainTplJSName(['adminlte.min']); /*** add js **/
?>
        <?php $this->head(true, false, true); ?>
    <?php if(!empty($this->options['favicon_head_html'])) { ?>
        <?php echo $this->options['favicon_head_html']."\n"; ?>
    <?php } else { ?>
        <?php if(!empty($this->options['favicon']['path'])) { ?>
            <link rel="icon" href="<?php echo $config->upload_root . $this->options['favicon']['path']; ?>" type="<?php echo pathinfo($this->options['favicon']['path'], PATHINFO_EXTENSION) === 'svg' ? 'image/svg+xml' : 'image/x-icon'; ?>">
        <?php } else { ?>
            <link rel="icon" href="<?php echo $this->getTemplateFilePath('images/favicons/favicon.ico'); ?>" type="image/x-icon">
        <?php } ?>
    <?php } ?>
    </head>
    <body id="<?php echo $device_type; ?>_device_type" data-device="<?php echo $device_type; ?>" class="d-flex flex-column min-vh-100<?php if(!empty($body_classes)) { ?> <?php echo implode(' ', $body_classes); ?><?php } ?>">
        <div class="wrapper"> <?php /* add div */ ?>
			<?php $this->renderLayoutChild('scheme', ['rows' => $rows]); ?>
		</div> <?php /* add div end */ ?>
        <?php if (!empty($this->options['show_top_btn'])){ ?>
			<style>footer .float-right{margin-right:60px}</style>
            <a class="btn btn-secondary btn-lg" href="#<?php echo $device_type; ?>_device_type" id="scroll-top">
                <?php html_svg_icon('solid', 'chevron-up'); ?>
            </a>
        <?php } ?>
        <?php if (!empty($this->options['show_cookiealert'])){ ?>
            <div class="alert text-center py-3 border-0 rounded-0 m-0 position-fixed fixed-bottom icms-cookiealert" id="icms-cookiealert">
                <div class="container">
                    <?php echo $this->options['cookiealert_text']; ?>
                    <button type="button" class="ml-2 btn btn-primary btn-sm acceptcookies">
                        <?php echo LANG_MODERN_THEME_COOKIEALERT_AGREE; ?>
                    </button>
                </div>
            </div>
        <?php } ?>
        <?php if ($config->debug && cmsUser::isAdmin()){ ?>
            <?php $this->renderAsset('ui/debug', ['core' => $core]); ?>
        <?php } ?>
        <script><?php echo $this->getLangJS('LANG_LOADING', 'LANG_ALL'); ?></script>
        <?php $this->printJavascriptTags(); ?>
        <?php $this->bottom(); ?>
        <?php $this->onDemandPrint(); ?>
    </body>
</html>